unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ShellAPI;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Timer1: TTimer;
    Panel1: TPanel;
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private

    ID: Integer;
    SetKey: Cardinal;
    SetShift: Cardinal;


    { Private 錾 }

     NID : TNotifyIconData;
     procedure WMUSER(var Msg : TMsg); message WM_USER + 100;
     procedure HotKeyTrap(var Msg: TMessage); message WM_HotKey;

  public
    { Public 錾 }
  end;

var
  Form1: TForm1;




implementation

{$R *.dfm}

var
 nitizi: string;



procedure TForm1.HotKeyTrap(var Msg: TMessage);
var
     AShift: String;
begin
     AShift:='';
     if (Msg.LParamLo and MOD_CONTROL)<>0 then AShift:=AShift+'[ Ctrl ] ';
     if (Msg.LParamLo and MOD_SHIFT)<>0   then AShift:=AShift+'[ Shift ] ';
     if (Msg.LParamLo and MOD_Alt)<>0     then AShift:=AShift+'[ Alt ] ';
     if (Msg.LParamLo=SetShift) and (Msg.LParamHi=SetKey) then begin
       Show;
       SetForegroundWindow(Handle);
       Panel1.Caption:=AShift+'[ '+Chr(SetKey)+' ]';
     end;
end;




procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);

var
 sl: TstringList;
 FileN: string;


begin

 sl := TStringList.Create;

 FileN := Edit2.Text;
 

 try

  if (Key = #13) and (Length(Edit1.Text) <> 0 ) then
   begin
    sl.LoadFromFile(FileN);
    sl.Add(nitizi+Edit1.Text);
    sl.SaveToFile(FileN);
    Edit1.Clear;


   end;

 finally
  sl.Free;

 end;



end;

procedure TForm1.Timer1Timer(Sender: TObject);

begin

nitizi := FormatDateTime('MM/DD,HH:mm:ss,',Now);

end;

procedure TForm1.Button1Click(Sender: TObject);
begin

 with NID do begin
  cbSize :=Sizeof(NID);
  hIcon  :=Application.Icon.Handle;
  Wnd    :=Form1.Handle;
  szTip  :='PAPY';
  uCallbackMessage :=WM_USER + 100;
  uFlags := NIF_MESSAGE or NIF_ICON or NIF_TIP;
 end;

 Shell_NotifyIcon(NIM_ADD, @NID);


end;


procedure TForm1.WMUSER(var Msg: TMsg);
begin

if (Msg.wParam = WM_LBUTTONDOWN) then
Form1.WindowState := wsMinimized;



end;





procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin

Shell_NotifyIcon(NIM_DELETE, @NID);

UnRegisterHotKey(Handle, ID);

end;

procedure TForm1.FormCreate(Sender: TObject);
begin


 SetKey  := Ord('A');
 SetShift:=MOD_CONTROL or MOD_SHIFT;
 ID  := GlobalAddAtom('Myhotkey');
 RegisterHotKey(Handle, ID, SetShift, SetKey);


 with NID do begin
  cbSize :=Sizeof(NID);
  hIcon  :=Application.Icon.Handle;
  Wnd    :=Form1.Handle;
  szTip  :='PAPY';
  uCallbackMessage :=WM_USER + 100;
  uFlags := NIF_MESSAGE or NIF_ICON or NIF_TIP;
 end;

 Shell_NotifyIcon(NIM_ADD, @NID);




end;



initialization

begin
  SetWindowLong(
    Application.Handle,
    GWL_EXSTYLE,
    GetWindowLong(Application.Handle, GWL_EXSTYLE) or WS_EX_TOOLWINDOW
  );

end;





end.
